#ifndef SLISTWIDGETSETTING_H
#define SLISTWIDGETSETTING_H

#include <QListWidget>
#include "formitemselection.h"
#include "commondata.h"

class SListWidgetSetting : public QListWidget
{
    Q_OBJECT
public:
    explicit SListWidgetSetting(QWidget *parent = nullptr);
    virtual ~SListWidgetSetting();

    void SetActivate(bool bActivate);
    bool IsActivate();
    virtual void SetData(STableHeader* pTableHeader);

    void SetListType(int nType);

public slots:
    void valueChangedScrollBarHorizontal(int nValue);

signals:


protected:
    bool m_bActivate;
    int m_nListType;

};

#endif // SLISTWIDGETSETTING_H
